@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css");

* {
  margin: none;
  padding: none;
}

html,
body {
  height: 100%;
  margin: 0;
  padding: 0;
  overflow: hidden;
}

a {
  color: inherit;
}

#topbar {
  height: 5%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: #272822;
  z-index: 1;
  color: white;
}

#topbar span {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 1%;
  font-size: 1.5em;
  font-family: Verdana;
  font-weight: bold;
}

.home-button {
  width: 100%;
  aspect-ratio: 1/1;
  background-color: #a80a2d;
  text-align: center;
  color: white;
  display: flex;
  justify-content: center;
}

.home-button.empty {
  background-color: #e7e7e7;
}

.home-button.empty:hover {
  background-color: #e7e7e7;
}

.home-button:hover {
  background-color: #8c0824;
}

.home-button a {
  margin-top: auto;
  margin-bottom: auto;
  color: inherit;
  text-decoration: none;
  vertical-align: middle;
}

.home-button a i {
  font-size: 5em;
}

.pt-nav-map {
  padding-top: 8vh !important;
}

.pt-nav {
  padding-top: 12vh !important;
}

#map {
  width: 100%;
  height: 100%;
}

.overflow-y-auto {
  overflow-y: auto;
}

.g-5>* {
  margin-bottom: 2rem;
}

#alert {
  position: absolute;
  top: 6.5%;
  left: 17.5%;
  color: white;
  padding: 10px;
  border-radius: 5px;
  z-index: 9999;
}

#sidebar {
  background-color: white;
  height: 100vh;
  overflow-x: hidden;
  overflow-y: auto;
}

.dark-mode #sidebar {
  background-color: #272822;
}

.dark-mode #sidebar h2,
.dark-mode #sidebar h3 {
  color: white;
}

.dark-mode #sidebar .list-group-item {
  background-color: rgb(46, 46, 46);
  color: white !important;
}

.dark-mode #sidebar .list-group-item.active {
  background-color: rgb(63, 63, 63);
}

.dark-mode #sidebar .list-group-item>* {
  color: white !important;
}
